Bug 426644 - Review Request: perl-Math-BaseCnv - Fast functions to CoNVert between number Bases
Review Request: perl-Math-BaseCnv - Fast functions to CoNVert between number ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 426645
  Show dependency treegraph
 
Reported: 2007-12-23 11:16 EST by Xavier Bachelot
Modified: 2007-12-25 12:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-25 12:00:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2007-12-23 11:16:03 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-Math-BaseCnv.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-Math-BaseCnv-1.4.75O6Pbr-2.fc8.src.rpm
Description: BaseCnv provides a few simple functions for converting between arbitrary number bases. It is as fast as I currently know how to make it (of course relying only on the lovely Perl). If you would rather utilize an object syntax for number-base conversion, please see Ken Williams's <Ken@Forum.Swarthmore.Edu> fine Math::BaseCalc module.
Comment 1 Parag AN(पराग) 2007-12-23 13:23:40 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
60d5fb31db63e3d7a9807b0df37c4a80  Math-BaseCnv-1.4.75O6Pbr.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
t/00pod.....ok
t/00podc....ok
t/01base....ok
All tests successful.
Files=3, Tests=33,  0 wallclock secs ( 0.22 cusr +  0.04 csys =  0.26 CPU)

+ Package perl-Math-BaseCnv-1.4.75O6Pbr-2.fc9
  Provides: perl(Math::BaseCnv) = 1.4.75

APPROVED.
Comment 2 Xavier Bachelot 2007-12-23 14:29:06 EST
Thanks for the review, Parag.

New Package CVS Request
=======================
Package Name: perl-Math-BaseCnv
Short Description: Fast functions to CoNVert between number Bases
Owners: xavierb
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2007-12-24 12:42:07 EST
cvs done.
Comment 4 Xavier Bachelot 2007-12-25 12:00:49 EST
Thx Kevin.

Imported and built for devel and F-8.

Note You need to log in before you can comment on or make changes to this bug.